%global pypi_name munkres

Summary:        A Munkres algorithm for Python
Name:           python-%{pypi_name}
Version: 1.1.4
Release: 3%{?dist}
License:        ASL 2.0
URL:            http://software.clapper.org/munkres/
Source0:        %{pypi_source}

Buildarch:      noarch

%description
The Munkres module provides an implementation of the Munkres algorithm (also called the Hungarian algorithm or
the Kuhn-Munkres algorithm). The algorithm models an assignment problem as an NxM cost matrix, where each element
represents the cost of assigning the ith worker to the jth job, and it figures out the least-cost solution, choosing
a single item from each row and column in the matrix, such that no row and no column are used more than once.

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel python3-setuptools

%description -n python3-%{pypi_name}
The Munkres module provides an implementation of the Munkres algorithm (also called the Hungarian algorithm or
the Kuhn-Munkres algorithm). The algorithm models an assignment problem as an NxM cost matrix, where each element
represents the cost of assigning the ith worker to the jth job, and it figures out the least-cost solution, choosing
a single item from each row and column in the matrix, such that no row and no column are used more than once.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%license LICENSE.md
%doc CHANGELOG.md README.md
%{python3_sitelib}/%{pypi_name}.py*
%{python3_sitelib}/%{pypi_name}*.egg-info
%{python3_sitelib}/__pycache__/%{pypi_name}*

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-3
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.4-2
- Rebuilt for loongarch release

* Thu Sep 21 2023 cunshunxia <cunshunxia@tencent.com> - 1.1.4-1
- upgrade to 1.1.4

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.1.2-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Jan 31 2023 Shuo Wang <abushwang@tencent.com> - 1.1.2-1
- initial build
